Bug 1290915 - XFS logdev option causes snapshot failure
XFS logdev option causes snapshot failure
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.1
All Linux
high Severity high
: ---
: ---
Assigned To: Divya
storage-qa-internal@redhat.com
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 16:50 EST by Harold Miller
Modified: 2016-11-23 18:13 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
divya: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Harold Miller 2015-12-11 16:50:16 EST
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html/Administration_Guide/Brick_Configuration.html

Section Number and Name: 11.2.2

Describe the issue: XFS File systems that use external log devices cause snapshots to fail

Suggestions for improvement: Add a Note Block like:

---
NOTE:

The use of Snapshots on XFS filesystems that are formatted with external log devices is not currently supported at the LVM layer.
Do not format your Gluster Bricks with the "-l logdev=<device>" option.
----
Comment 8 Harold Miller 2016-02-04 10:37:17 EST
Divya,

Nice, the Note addresses the issue raised.

Thank you,
Harold
Comment 9 Divya 2016-02-04 22:37:23 EST
I have added an Important note in "6.4. Formatting and Mounting Bricks" section to address the concern raised in this bug.

Link to the doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.1-Administration_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#Formatting_and_Mounting_Bricks

[Hint: Search for "Snapshots are not supported on bricks formatted" text to easily find the Important note.]

Based on Comment 8, moving the bug to ON_QA.
Comment 10 Anil Shah 2016-09-01 06:10:21 EDT
Link in comment#9 is expired, please update the latest link
Comment 12 Anil Shah 2016-09-02 09:41:26 EDT
Doc texts looks good to me.

Note You need to log in before you can comment on or make changes to this bug.